# Retrieve Parameters
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/classifiers-and-parameters-management/retrieve-parameters/index.md

## Overview {#overview}

The use case describes how you retrieve the parameters for the contract (account contract or card contract).

## Sequence diagram {#sequence-diagram}

Diagram retrieve-parameters

### Explanation {#explanation}

1. The server sends a `GET` request to the `/contracts/{contract_id}/parameters` endpoint by passing a list of parameters to be returned in the `parameter_codes` query parameter. To retrieve parameters for the account contract or card contract, the server must put the `accountContractId` or `cardContractId`, respectively, in place of the `contract_id` in the path. Tip: The `parameter_codes` is serialized with `explode: false`, so it must be separated with a comma. For example, `/contracts/{contract_id}/parameters?parameter_codes=BILLING_DATE,FEE_PLAN_01`
2. The API returns a list of requested parameters containing its code, name, and value.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/classifiers-and-parameters-management/retrieve-parameters/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `GET /contracts/{contract_id}/parameters`

